<br>
<br>
<br>

<div class="quote__component container">
    <span class="qtb__quotepage-title">Here is your quote {{formModel.mainDriver.Firstname}}!</span>
    <br>
    <!-- This lists the different quotes for the member e.g. Comprehensive $98/month -->
    <form #form="ngForm">
        <div class="responsive-form__wrapper">
            <div class="responsive-form__card radiobuttons__large" *ngFor="let quote of quoteDetails; let i = index">
                <div class="radiobuttons__item-button">
                    <label>
                        <input [(ngModel)]="formModel.model.selectedQuote" (click)="test()" type="radio" name="quote" value="{{quote.type}}">
                        <div class="radiobuttons__content">
                            <h3> {{quote.type}} </h3>
                            <h1> {{quote.priceMonth | currency}} </h1>
                            <span> per month* </span>
                            <span> or {{quote.priceYear | currency}} annually </span>
                        </div>
                    </label>
                </div>
                <button *ngIf="formModel.model.selectedQuote === quote.type" mat-raised-button class="buttons__contained buttons__large mt-2 mb-4 w-100">Continue and purchace</button>
            </div>
        </div>
    </form>
    
    <br>
    <br>    
    <!-- Asterix message -->
    <div class="row">
        <span class="col-12 qtb__quotepage-paragraph">* You won't pay any extra if you choose to pay monthly.</span>
        <span class="col-12 qtb__quotepage-paragraph">Instalments may vary slightly for rounding purposes but will not effect the total premium payable.</span>
    </div>
    <br>
    <br>    

    <!-- Emma message with member savings -->
    <!-- emma alert -->
    <app-alert 
        type="emma"
        heading="You saved $240 with your member discounts"
        subheading="This is a subheading">
    </app-alert>

    <!-- stop alert -->
    <app-alert 
        type="stop"
        heading="You saved $240 with your member discounts"
        subheading="This is a subheading">
    </app-alert>

    <br>
    <br>  
    <br>

    <!-- This lists the different excesses for the member e.g. $400 -->
    <div class="quote__excess-options">

        <span class="qtb__quotepage-sub-title">Customise your cover</span>
        <br>
        <span class="qtb__quotepage-paragraph">Your basic excess amount</span>
        <br>
        <a href="">What is an excess</a>
        <br>
        <br>

        <div class="responsive-form__wrapper">
            <div class="responsive-form__small" *ngFor="let excess of excesses">
                <div class="radiobuttons__item-button">
                    <label>
                        <input type="radio" name="excess">
                        <div class="radiobuttons__content">
                            <span>${{ excess.amount }}</span>
                        </div>
                    </label>
                </div>
            </div>
        </div>
    </div>
</div>


<br>
<br>